const APP_NAME				= "Habari Xenu News Aggregator";
const APP_CHROME_NAME			= "habarixenu";
const APP_VERSION			= "0.7.1";
const APP_FILE 				= "habarixenu.jar";
const APP_DIR 				= "habarixenu";
const APP_CONTENT_PATH		= "content/";
const APP_SKIN_CLASSIC_PATH	= "skin/";
const APP_LOCALE_ENUS_PATH	= "locale/en-US/";

logComment( "Installation started ..." );

var err = initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 
logComment("initInstall: " + err);


var chromeFolder = getFolder("Current User", "chrome");
logComment("getFolder() returned: " + chromeFolder);
setPackageFolder(chromeFolder);

// var err = addFile(APP_NAME, APP_FILE, chromeFolder, "");
// logComment("addFile() returned: " + err);

var err = addDirectory(APP_NAME, APP_DIR, chromeFolder, "habarixenu");
logComment("addDirectory() returned: " + err);

// var jarFolder = getFolder(chromeFolder, APP_FILE);
var jarFolder = getFolder(chromeFolder, APP_DIR);
logComment("Required folder Value is " + jarFolder);

logComment("Beginning registration");

registerChrome(CONTENT | PROFILE_CHROME, jarFolder, APP_CONTENT_PATH);
logComment("Registered content");

registerChrome(SKIN | PROFILE_CHROME, jarFolder, APP_SKIN_CLASSIC_PATH);
logComment("Registered Skin");

registerChrome(LOCALE | PROFILE_CHROME, jarFolder, APP_LOCALE_ENUS_PATH);
logComment("Registered Locale");

var result = getLastError(); 
if(result == SUCCESS) {
	performInstall();
  alert("Finished Installation.  Please restart Mozilla and launch Habari Xenu from 'Tools -> Habari Xenu'.");
}else{
  alert("There was an error in installation:" + err);
	cancelInstall(result);
}
